<?php

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

use Carbon_Fields\Field\Field;
use Gigneo\Post_Meta\Serialized;

$gigneo_qualification_fields[] = Field::make( 'complex', 'gigneo_pm_education', esc_html__( 'Education', 'gigneo' ) )
				->set_datastore( new Serialized() )
				->add_fields(
					array(
						Field::make( 'text', 'school', esc_html__( 'School', 'gigneo' ) ),
						Field::make( 'text', 'degree', esc_html__( 'Degree', 'gigneo' ) ),
						Field::make( 'text', 'specialization', esc_html__( 'Specialization', 'gigneo' ) ),
						Field::make( 'date', 'start_date', esc_html__( 'Start date', 'gigneo' ) ),
						Field::make( 'date', 'end_date', esc_html__( 'End date', 'gigneo' ) ),
					)
				)
				->set_header_template( '<%- degree %>' )
				->set_collapsed( true );

$gigneo_qualification_fields[] = Field::make( 'complex', 'gigneo_pm_experience', esc_html__( 'Experiences', 'gigneo' ) )
				->set_datastore( new Serialized() )
				->add_fields(
					array(
						Field::make( 'text', 'title', esc_html__( 'Title', 'gigneo' ) ),
						Field::make( 'text', 'company', esc_html__( 'Company', 'gigneo' ) ),
						Field::make( 'date', 'start_date', esc_html__( 'Start date', 'gigneo' ) ),
						Field::make( 'date', 'end_date', esc_html__( 'End date', 'gigneo' ) ),
					)
				)
				->set_header_template( '<%- title %>' )
				->set_collapsed( true );
